Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum AddressProperty

    java.lang.Object
      java.lang.Enum<AddressProperty>
          com.nortel.soa.oi.cct.types.AddressProperty

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AddressProperty>

    public enum AddressProperty

extends java.lang.Enum<AddressProperty>

Java class for addressProperty.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="addressProperty">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="FORWARDING"/>
         <enumeration value="DO_NOT_DISTURB"/>
         <enumeration value="MESSAGE_WAITING"/>
         <enumeration value="ADDRESS_TERMINAL_ASSOCIATION"/>
         <enumeration value="ACQUIRE_STATUS"/>
         <enumeration value="URI"/>
         <enumeration value="CONTROLLED"/>
         <enumeration value="PRESENCE"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACQUIRE_STATUS`
`ADDRESS_TERMINAL_ASSOCIATION`
`CONTROLLED`
`DO_NOT_DISTURB`
`FORWARDING`
`MESSAGE_WAITING`
`PRESENCE`
`URI`

Method Summary
`static AddressProperty` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static AddressProperty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AddressProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORWARDING

    public static final AddressProperty FORWARDING

### DO_NOT_DISTURB

    public static final AddressProperty DO_NOT_DISTURB

### MESSAGE_WAITING

    public static final AddressProperty MESSAGE_WAITING

### ADDRESS_TERMINAL_ASSOCIATION

    public static final AddressProperty ADDRESS_TERMINAL_ASSOCIATION

### ACQUIRE_STATUS

    public static final AddressProperty ACQUIRE_STATUS

### URI

    public static final AddressProperty URI

### CONTROLLED

    public static final AddressProperty CONTROLLED

### PRESENCE

    public static final AddressProperty PRESENCE

Method Detail

### values

    public static AddressProperty[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AddressProperty c : AddressProperty.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AddressProperty valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static AddressProperty fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.